#ifndef GUARD_prefwin_h
#define GUARD_prefwin_h
// Sagua is music player.
// Copyright (C) 2004 HG, Rhee <ez8tank@krpost.net>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

/// @file prefwin.h
/// @brief Class for user preference window header file.

#include <iosfwd>
#include <gtkmm/window.h>

class Preference;
class MainManager;
class PrefWnd;

/// @brief Class for user preference window.
class PrefWnd: public Gtk::Window
{
    public:
	PrefWnd(MainManager&);
	virtual ~PrefWnd();

    private:
	class PrefWndImpl;
	std::auto_ptr<PrefWndImpl> impl_;	///< Implementaion of PrefWnd.

	PrefWnd& operator=(const PrefWnd& prefWnd);
	PrefWnd(const PrefWnd& prefWnd);

    friend void operator<<(Preference& preference, const PrefWnd& prefWnd);
    friend void operator<<(std::ostream& os, const PrefWnd::PrefWndImpl& prefWndImpl);

};

void operator<<(Preference& preference, const PrefWnd& prefWnd);
void operator<<(std::ostream& os, const PrefWnd::PrefWndImpl& prefWndImpl);

#endif

