#ifndef GUARD_tag_aac_h
#define GUARD_tag_aac_h
// Sagua is music player.
// Copyright (C) 2004 HG, Rhee <ez8tank@krpost.net>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

/// @file tag_aac.h
/// @brief Class for mpeg 4 audio tag processing header file.

#include <string>

#include <cstdio>

#include "tag.h"
#include "player_aac.h"

class MainManager;

/// @brief Class for mpeg 4 audio tag processing header file.
class AACTag : public Tag
{
    public:
	AACTag(const std::string& filename, const MainManager* const mainManager);
	virtual ~AACTag();

    private:
	std::string filename_;

	static int adtsSampleRate[];

	bool process_;
	bool mp4File_;

	const MainManager* const mainManager_;

	void ProcessMP4();
	void ProcessAAC();

	virtual void ProcessAll();
	virtual void ProcessYear();
	virtual void ProcessTrack();
	virtual void ProcessTitle();
	virtual void ProcessAlbum();
	virtual void ProcessGenre();
	virtual void ProcessArtist();
	virtual void ProcessComment();
	virtual void ProcessTotalTime();
};

std::auto_ptr<Tag> CreateAACTag(const std::string& filename, const MainManager* const mainManager);

#endif

